cmake_minimum_required(VERSION 3.20.0)
project(music-imgui VERSION 0.1.0)
#set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /SUBSYSTEM:WINDOWS /ENTRY:mainCRTStartup")

set (CMAKE_CXX_STANDARD 17)
set(CMAKE_BUILD_TYPE Debug)

link_directories(libs/glfw)

include_directories(libs)
include_directories(libs/imgui)


file(GLOB_RECURSE SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/src/imgui/*.cpp)

find_library(GLFW_LIBRARY NAMES glfw glfw3 HINTS c:/usr/lib/)

add_executable(music-imgui ${SOURCES} src/main.cpp src/App.cpp src/glad.c src/Audio.cpp src/BaseWindow.cpp )

find_package(OpenGL REQUIRED)
target_link_libraries(music-imgui PRIVATE ${OPENGL_gl_LIBRARY})
target_link_libraries(music-imgui PRIVATE ${GLFW_LIBRARY})

